Subject: RE: Near-Unique Site-Local Identifier draft

From: "Christian Huitema" <[email-masked]>
Date: Tue, 27 Feb 2001 09:16:08 -0800

You wrote:

	The probability of a duplicate assignment somewhere is
N^2/2^38...

which is not quite correct. The probability of at least one duplicate
out of N assignments out of a space of size X is
	P = 1 - product(1..N)(1-(i-1)/X)
Which is a bit hard to compute, and certainly does not result in N^2/X.
Using a log approximation, you get
Log (1-P) = sigma(1..N) log (1 - (i-1)/X)
          = sigma(1..N)(-(i-1)/X) + 0(N^3/X^2)
Thus
	(1-P) ~= e^-(N.N-1/2.X) ~= e^-(N^2/2.X)
	P ~= 1 - e^-(N^2/2.X) if N^3 << X^2
I would suggest you correct your phrase to be a bit less assertive,
something like "The probability of a duplicate assignment somewhere
becomes significant is N^2 becomes close to 2^38" -- or just mention the
birthday paradox.

> -----Original Message-----
> From: Paul Francis [mailto:[email-masked]] 
> Sent: Monday, February 26, 2001 10:41 AM
> To: [email-masked]
> Subject: Near-Unique Site-Local Identifier draft
> 
> 
> 
> I've posted a draft on assigning random site-local 
> identifiers at 
> http://www.aciri.org/francis/draft-francis-ipngwg-unique-site-
> local-00.txt.
> 
> This was submitted in time to make the Minn. ID deadline.
> 
> Thanks,
> 
> PF
> 
> Abstract
> 
>    For many or most sites, site-local addresses are used for packets
>    between nodes within the site.  The fact that site-local addresses
>    are not globally unique makes their usage and administration more
>    difficult than they would be if there were globally unique (or
>    nearly globally unique).  For instance, before two sites can be
>    merged, one of them has to be renumbered.  The meaning of 
> site-local
>    addresses becomes ambiguous when they are taken out of the 
> immediate
>    context of the IPv6 layer, for instance when they are conveyed in
>    email or stored in text files.
> 
>    All other things being equal, it would be preferable if the prefix
>    of addresses with site-local scope were as globally unique as
>    possible.  This draft expands the format of the site-local address
>    to allow them to be near-unique.  It does not, however, change the
>    definition or usage of the site-local address.  This draft 
> describes
>    the format and assignment method of near-unique site-local 
> prefixes.
>    It also outlines some usage scenarios.
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------